\name{krige.conv}

\alias{krige.conv}
%- Also NEED an `\alias' for EACH other topic documented here.

\title{Spatial interpolation (kriging) with fixed covariance parameters}


\description{
  This function performs spatial prediction for fixed covariance
  parameters, using a global neighborhood.
  
  It can produce results which correspondes to the following kriging
  types: SK (simple kriging), OK (ordinary kriging), KTE (external trend kriging), UK (universal kriging).
}

\usage{
krige.conv(geodata, coords = geodata$coords, data = geodata$data, 
           locations,
           krige = krige.control(type.krige, beta = NULL,
                     trend.d, trend.l, cov.model, cov.pars,
                     kappa = 0.5, nugget = 0, micro.scale = 0,
                     dist.epsilon = 1e-10, aniso.pars = NULL, 
                     lambda = 1, signal = FALSE,
                     n.samples.backtransform = 500, n.sim = 0),
           messages.screen = TRUE, ...) 
}
%- maybe also `usage' for other objects documented here.

\arguments{
  \item{geodata}{a list contanining elements \code{$coords} and
    \code{$data} as described next. If not provided the arguments
    \code{coords} and \code{data} must be provided instead.}
  \item{coords}{a \emph{nx2} matrix where each row have the 2-D
    coordinates of the \emph{n} data locations.
    By default it takes the
    element \code{$coords} of the argument \code{geodata}, if provided.}
  \item{data}{a vector with \emph{n} data values. By default it takes the
    element \code{$data} of the argument \code{geodata}, if provided.}
  \item{locations}{a \emph{Nx2} matrix or data-frame with the 2-D
    coordinates of the \emph{N} locations to be predicted.}
  \item{krige}{defines the model components and several options for kriging. See section DETAILS below.}
  \item{messages.screen}{a flag \code{TRUE} or \code{FALSE} indicating
    whether or not messages are printend on the screen (or output file)
    while the function is running.}
}


\details{

  Different types of kriging (SK, OK, UK, KTE)
  are performed according to how the options below are set.
  Defaults corresponds to ordinary kriging.

 \itemize{\bold{Arguments for \code{krige = krige.control(\dots)} :} 
  \item{type.krige}{ ~~Describe \code{type.krige} here~~ }
  \item{beta}{ ~~Describe \code{beta} here~~ }  
  \item{trend.d}{ ~~Describe \code{trend.d} here~~ }
  \item{trend.l}{ ~~Describe \code{trend.l} here~~ }
  \item{cov.model}{ ~~Describe \code{cov.model} here~~ }
  \item{cov.pars}{ ~~Describe \code{cov.pars} here~~ }  
  \item{kappa}{ ~~Describe \code{kappa} here~~ }
  \item{nugget}{ ~~Describe \code{nugget} here~~ }
  \item{micro.scale}{} 
  \item{dist.epsilon}{}
  \item{aniso.pars}{ ~~Describe \code{aniso.pars} here~~ }
  \item{lambda}{ ~~Describe \code{lambda} here~~ }
  \item{signal}{ ~~Describe \code{signal} here~~ }
  \item{n.samples.backtransform}{ ~~Describe \code{n.samples.backtransform} here~~ }
  \item{n.sim}{ ~~Describe \code{n.sim} here~~ }

  }
}


\value{
  ~Describe the value returned
  If it is a LIST, use
  \item{comp1 }{Description of `comp1'}
  \item{comp2 }{Description of `comp2'}
  ...
}


\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\note{ ~~further notes~~ }

~Make other sections like WARNING with \section{WARNING }{....} ~

\author{
  Paulo J. Ribeiro Jr. <\email{paulojus@est.ufpr.br}> \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

\seealso{}


\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	     or do  help(data=index)  for the standard data sets.
}


\keyword{spatial}%-- one or more ...
