\name{ksline}

\alias{ksline}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Performs spatial interpolation (kriging) with fixed covariance
  parameters using global or moving neigbourhood}
\description{
  This function performs spatial prediction for fixed covariance
  parameters. It can produce results which correspondes to the following
  kriging types:
  SK (simple kriging), OK (ordinary kriging),
  KTE (external trend kriging), UK (universal kriging).
}

\usage{
ksline(geodata, coords=geodata$coords, data=geodata$data, locations,
       cov.pars=stop("covariance parameters (sigmasq and phi) needed"),
       nugget=0, micro.scale=0, cov.model=c("exponential", "matern",
       "gaussian", "spherical", "circular", "cubic", "wave",
       "powered.exponential", "cauchy", "gneiting",
       "gneiting.matern", "pure.nugget"), kappa=0.5, lambda=1,
       m0="ok", nwin="full", n.samples.backtransform=500,
       trend=1, d=2, ktedata=NULL, ktelocations=NULL, aniso.pars=NULL,
       signal=FALSE, dist.epsilon=1e-10, messages.screen=TRUE)
}
%- maybe also `usage' for other objects documented here.
\arguments{
 \item{geodata}{ ~~Describe \code{geodata} here~~ }
 \item{coords}{ ~~Describe \code{coords} here~~ }
 \item{data}{ ~~Describe \code{data} here~~ }
 \item{locations}{ ~~Describe \code{locations} here~~ }
 \item{cov.pars}{ ~~Describe \code{cov.pars} here~~ }
 \item{nugget}{ ~~Describe \code{nugget} here~~ }
 \item{micro.scale}{ ~~Describe \code{micro.scale} here~~ }
 \item{cov.model}{ ~~Describe \code{cov.model} here~~ }
 \item{kappa}{ ~~Describe \code{kappa} here~~ }
 \item{lambda}{ ~~Describe \code{lambda} here~~ }
 \item{m0}{ ~~Describe \code{m0} here~~ }
 \item{nwin}{ ~~Describe \code{nwin} here~~ }
 \item{n.samples.backtransform}{ ~~Describe \code{n.samples.backtransform} here~~ }
 \item{trend}{ ~~Describe \code{trend} here~~ }
 \item{d}{ ~~Describe \code{d} here~~ }
 \item{ktedata}{ ~~Describe \code{ktedata} here~~ }
 \item{ktelocations}{ ~~Describe \code{ktelocations} here~~ }
 \item{aniso.pars}{ ~~Describe \code{aniso.pars} here~~ }
 \item{signal}{ ~~Describe \code{signal} here~~ }
 \item{dist.epsilon}{ ~~Describe \code{dist.epsilon} here~~ }
 \item{messages.screen}{ ~~Describe \code{messages.screen} here~~ }
}
\details{
 ~~ If necessary, more details than the __description__  above ~~
}
\value{
  ~Describe the value returned
  If it is a LIST, use
  \item{comp1 }{Description of `comp1'}
  \item{comp2 }{Description of `comp2'}
  ...
}

\references{
  Further information about \code{geoR/geoS} can be found at:\cr
  \url{http://www.maths.lancs.ac.uk/~ribeiro/geoR.html}
}

\note{
  This is an old, preliminar and inneficient function.
  For predictions using global neigborhood the function
  \code{\link{krige.conv}} should be used instead.
}

~Make other sections like WARNING with \section{WARNING }{....} ~

\author{
  Paulo J. Ribeiro Jr. <\email{paulojus@est.ufpr.br}> \cr
  Peter J. Diggle <\email{p.diggle@lancaster.ac.uk}>.
}

\seealso{\code{\link{krige.conv}}, \code{\link{krige.bayes}}.}


\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	     or do  help(data=index)  for the standard data sets.
}

\keyword{spatial}%-- one or more ...
